export const foundry = {
	game: 'readonly',
	ActorSheet: 'readonly',
	ItemSheet: 'readonly',
	ActiveEffect: 'readonly',
	Item: 'readonly',
	Actor: 'readonly',
	Token: 'readonly',
	Scene: 'readonly',
	Combat: 'readonly',
	Combatant: 'readonly',
	TokenDocument: 'readonly',
	Dialog: 'readonly',
	ItemDirectory: 'readonly',
	Application: 'readonly',
	FormApplication: 'readonly',
	DocumentSheet: 'readonly',
	ChatMessage: 'readonly',
	ChatLog: 'readonly',
	FormDataExtended: 'readonly',
	Roll: 'readonly',
	RollPF: 'readonly',
	CONFIG: 'writable',
	CONST: 'readonly',
	ui: 'readonly',
	canvas: 'readonly',
	foundry: 'readonly',
	duplicate: 'readonly',
	deepClone: 'readonly',
	isObjectEmpty: 'readonly',
	diffObject: 'readonly',
	getProperty: 'readonly',
	setProperty: 'readonly',
	mergeObject: 'readonly',
	expandObject: 'readonly',
	flattenObject: 'readonly',
	invertObject: 'readonly',
	isNewerVersion: 'readonly',
	TokenConfig: 'readonly',
	randomID: 'readonly',
	loadTemplates: 'readonly',
	renderTemplate: 'readonly',
	getTemplate: 'readonly',
	fromUuid: 'readonly',
	fromUuidSync: 'readonly',
	Handlebars: 'readonly',
	TextEditor: 'readonly',
	Hooks: 'readonly',
	Actors: 'readonly',
	Macro: 'readonly',
	CombatTracker: 'readonly',
	Collection: 'readonly',
	CompendiumCollection: 'readonly',
	CompendiumDirectory: 'readonly',
	Compendium: 'readonly',
	Die: 'readonly',
	NumericTerm: 'readonly',
	StringTerm: 'readonly',
	DiceTerm: 'readonly',
	ParentheticalTerm: 'readonly',
	MathTerm: 'readonly',
	RollTerm: 'readonly',
	OperatorTerm: 'readonly',
	TooltipManager: 'readonly',
	Items: 'readonly',
	JQuery: 'readonly',
};
